Index: kern/sysv_msg.c
===================================================================
--- kern/sysv_msg.c	(revision 194213)
+++ kern/sysv_msg.c	(working copy)
@@ -80,7 +80,7 @@
 #ifdef MSG_DEBUG
 #define DPRINTF(a)	printf a
 #else
-#define DPRINTF(a)
+#define DPRINTF(a)	(void)0
 #endif
 
 static void msg_freehdr(struct msg *msghdr);
Index: sys/sx.h
===================================================================
--- sys/sx.h	(revision 194213)
+++ sys/sx.h	(working copy)
@@ -293,7 +293,7 @@
 #ifdef INVARIANTS
 #define	sx_assert(sx, what)	_sx_assert((sx), (what), LOCK_FILE, LOCK_LINE)
 #else
-#define	sx_assert(sx, what)
+#define	sx_assert(sx, what)	(void)0
 #endif
 
 #endif /* _KERNEL */
Index: sys/lock.h
===================================================================
--- sys/lock.h	(revision 194213)
+++ sys/lock.h	(working copy)
@@ -283,21 +283,21 @@
 	witness_line(lock)
 
 #else	/* WITNESS */
-#define	WITNESS_INIT(lock, type)
-#define	WITNESS_DESTROY(lock)
+#define	WITNESS_INIT(lock, type)				(void)0
+#define	WITNESS_DESTROY(lock)					(void)0
 #define	WITNESS_DEFINEORDER(lock1, lock2)	0
-#define	WITNESS_CHECKORDER(lock, flags, file, line, interlock)
-#define	WITNESS_LOCK(lock, flags, file, line)
-#define	WITNESS_UPGRADE(lock, flags, file, line)
-#define	WITNESS_DOWNGRADE(lock, flags, file, line)
-#define	WITNESS_UNLOCK(lock, flags, file, line)
+#define	WITNESS_CHECKORDER(lock, flags, file, line, interlock)	(void)0
+#define	WITNESS_LOCK(lock, flags, file, line)			(void)0
+#define	WITNESS_UPGRADE(lock, flags, file, line)		(void)0
+#define	WITNESS_DOWNGRADE(lock, flags, file, line)		(void)0
+#define	WITNESS_UNLOCK(lock, flags, file, line)			(void)0
 #define	WITNESS_CHECK(flags, lock, fmt, ...)	0
-#define	WITNESS_WARN(flags, lock, fmt, ...)
-#define	WITNESS_SAVE_DECL(n)
-#define	WITNESS_SAVE(lock, n)
-#define	WITNESS_RESTORE(lock, n)
-#define	WITNESS_NORELEASE(lock)
-#define	WITNESS_RELEASEOK(lock)
+#define	WITNESS_WARN(flags, lock, fmt, ...)			(void)0
+#define	WITNESS_SAVE_DECL(n)					(void)0
+#define	WITNESS_SAVE(lock, n)					(void)0
+#define	WITNESS_RESTORE(lock, n)				(void)0
+#define	WITNESS_NORELEASE(lock)					(void)0
+#define	WITNESS_RELEASEOK(lock)					(void)0
 #define	WITNESS_FILE(lock) ("?")
 #define	WITNESS_LINE(lock) (0)
 #endif	/* WITNESS */
Index: sys/lock_profile.h
===================================================================
--- sys/lock_profile.h	(revision 194213)
+++ sys/lock_profile.h	(working copy)
@@ -63,10 +63,10 @@
 
 #else /* !LOCK_PROFILING */
 
-#define	lock_profile_release_lock(lo)
-#define lock_profile_obtain_lock_failed(lo, contested, waittime)
-#define lock_profile_obtain_lock_success(lo, contested, waittime, file, line)
-#define	lock_profile_thread_exit(td)
+#define	lock_profile_release_lock(lo)					(void)0
+#define lock_profile_obtain_lock_failed(lo, contested, waittime)	(void)0
+#define lock_profile_obtain_lock_success(lo, contested, waittime, file, line)	(void)0
+#define	lock_profile_thread_exit(td)					(void)0
 
 #endif  /* !LOCK_PROFILING */
 
Index: sys/ktr.h
===================================================================
--- sys/ktr.h	(revision 194213)
+++ sys/ktr.h	(working copy)
@@ -147,13 +147,13 @@
 #define	CTR4(m, format, p1, p2, p3, p4)	CTR6(m, format, p1, p2, p3, p4, 0, 0)
 #define	CTR5(m, format, p1, p2, p3, p4, p5)	CTR6(m, format, p1, p2, p3, p4, p5, 0)
 #else	/* KTR */
-#define	CTR0(m, d)
-#define	CTR1(m, d, p1)
-#define	CTR2(m, d, p1, p2)
-#define	CTR3(m, d, p1, p2, p3)
-#define	CTR4(m, d, p1, p2, p3, p4)
-#define	CTR5(m, d, p1, p2, p3, p4, p5)
-#define	CTR6(m, d, p1, p2, p3, p4, p5, p6)
+#define	CTR0(m, d)			(void)0
+#define	CTR1(m, d, p1)			(void)0
+#define	CTR2(m, d, p1, p2)		(void)0
+#define	CTR3(m, d, p1, p2, p3)		(void)0
+#define	CTR4(m, d, p1, p2, p3, p4)	(void)0
+#define	CTR5(m, d, p1, p2, p3, p4, p5)	(void)0
+#define	CTR6(m, d, p1, p2, p3, p4, p5, p6)	(void)0
 #endif	/* KTR */
 
 #define	TR0(d)				CTR0(KTR_GEN, d)
Index: sys/mutex.h
===================================================================
--- sys/mutex.h	(revision 194213)
+++ sys/mutex.h	(working copy)
@@ -438,7 +438,7 @@
 #define GIANT_REQUIRED	mtx_assert(&Giant, MA_OWNED)
 
 #else	/* INVARIANTS */
-#define mtx_assert(m, what)
+#define mtx_assert(m, what)	(void)0
 #define GIANT_REQUIRED
 #endif	/* INVARIANTS */
 
Index: sys/sched.h
===================================================================
--- sys/sched.h	(revision 194213)
+++ sys/sched.h	(working copy)
@@ -173,7 +173,7 @@
 #else
 #define	SCHED_STAT_DEFINE_VAR(name, descr, ptr)
 #define	SCHED_STAT_DEFINE(name, descr)
-#define SCHED_STAT_INC(var)
+#define SCHED_STAT_INC(var)			(void)0
 #endif
 
 /*
